function plot_curvature_for_scale(ss,scale)
% Derive the scale space for the input signal by starting 
% with dsigma and going all the way up tp dsigma*iterations

x1 = [1:length(ss)];
curvature  = ss(1,:);
curvature2 = ss(scale,:);
plot(x1,curvature,'b-',x1,ss(scale,:),'r-',[1:length(ss)-1],diff(ss(scale,:)),'g-',zero_crossings(diff(ss(scale,:)),-1),curvature2(zero_crossings(diff(ss(scale,:)),-1)),'go');
